Bug 128762 (screensaverissue) - lock screen after can be less than bkank after or cycle after
Summary: lock screen after can be less than bkank after or cycle after
Status: CLOSED WONTFIX
Alias: screensaverissue
Product: Fedora
Classification: Fedora
Component: xscreensaver (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
low
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact: Brock Organ
URL: screensaver-properties-capplet invali...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-07-29 05:02 UTC by ashok pappu
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-11 21:30:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description ashok pappu 2004-07-29 05:02:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7)
Gecko/20040626 Firefox/0.9.1

Description of problem:
I am able to set the Lock screen After time to less than that of
screen saver time which seems to be invalid. The screen should not
allow me to set the lock screen time to less than screen saver time.



Version-Release number of selected component (if applicable):
2.6.6-1.435.2.3smp #1 SMP Thu Jul 1 08:36:21 EDT 2004 i686 i686 i386
GNU/Linux

How reproducible:
Always

Steps to Reproduce:
1.open shell and type screensaver-properties-capplet
2. select a only one screen saver and set the blank after time to 2
minutes and cycle after to 2 minutes
3.check the  lock screen after check box and choose 1 minute there and
close the window
    

Actual Results:  the screen saver will start after two minutes but the
screen saver lock does not work

Expected Results:  Either the lock screen after minutes should not be
less than screen saver time or the screen saver should lock the screen
after the screen saver starts

Additional info:

Comment 1 Jamie Zawinski 2005-02-28 03:25:48 UTC
That's not how it works.  From the manual:

       Lock Screen
           When this is checked, the screen will be locked when it activates.

       Lock Screen After
           This  controls  the length of the ''grace period'' between when the
           screensaver activates, and when the  screen  becomes  locked.   For
           example,  if this is 5 minutes, and Blank After is 10 minutes, then
           after 10 minutes, the  screen  would  blank.   If  there  was  user
           activity  at  12 minutes, no password would be required to un-blank
           the screen.  But, if there was user activity at 15 minutes or later
           (that  is, Lock Screen After minutes after activation) then a pass-
           word would be required.  The default is 0, meaning that if  locking
           is  enabled, then a password will be required as soon as the screen
           blanks.


Comment 2 Matthew Miller 2005-04-26 15:55:38 UTC
Fedora Core 2 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Comment 3 Ray Strode [halfline] 2005-05-11 21:30:41 UTC
Hi,

This bug is being closed because it has been in the NEEDINFO state for a long
time now.  Feel free to reopen the bug report if the problem still happens for
you and you can provide any information that was requested.


Note You need to log in before you can comment on or make changes to this bug.